=== debian/changelog ===
efte (1.1-4) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.0, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 25 May 2022 19:33:24 +0100

efte (1.1-3) unstable; urgency=medium

  * QA upload.
  * Refresh packaging:
    + Bump Standards-Version to 4.5.1.
    + Bump debhelper compat to v13.
  * debian/rules: Migrate to dh sequencer. (Closes: #928900)
  * debian/copyright: Rewrite in machine-readable format.
  * debian/patches/0002-cmake-cxxflags: Properly append cmake flags.

 -- Boyuan Yang <byang@debian.org>  Wed, 14 Apr 2021 23:52:58 -0400

efte (1.1-2) unstable; urgency=low

  * QA upload.
  * Maintainer field set to QA Group.
  * Use default build flags. Pass LDFLAGS to cmake.
  * Add missing targets to debian/rules: build-{arch,indep}.
  * Bump Standards-Version to 3.9.5.
  * Explicitly exclude HISTORY file when calling dh_installchangelogs to avoid
    shipping it twice.
  * Debhelper compatibility level set to 9.

 -- Emanuele Rocca <ema@debian.org>  Sat, 22 Mar 2014 16:18:29 +0100

efte (1.1-1) unstable; urgency=low

  * Initial release (Closes: #506757)

 -- Xavier Oswald <xoswald@debian.org>  Sun, 23 Aug 2009 20:41:07 +0200
