=== debian/control ===
Source: efte
Section: editors
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libncurses-dev,
 libxpm-dev,
Standards-Version: 4.6.0
Homepage: https://github.com/lanurmi/efte
Vcs-Git: https://salsa.debian.org/debian/efte.git
Vcs-Browser: https://salsa.debian.org/debian/efte

Package: efte
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Advanced lightweight configurable editor
 eFTE is an advanced programmers editor with goals of being lightweight, yet
 totally configurable.  Support for user defined programming languages, menu
 systems and key bindings are provided with many common defaults already
 defined.
 .
 eFTE is still a new project, however, extended from the FTE editor which was
 first released in 1995, so eFTE is tried and true with many features for the
 programmer/text editor.
