=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

include /usr/share/dpkg/default.mk

%:
	dh $@

execute_after_dh_auto_install-arch:
	$(RM) $(CURDIR)/debian/efte/usr/share/doc/efte/COPYING
	$(RM) $(CURDIR)/debian/efte/usr/share/doc/efte/Artistic
