=== debian/watch ===
version=3
http://sf.net/efte/efte-(.*)\.tar\.gz
